diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -432,7 +432,7 @@
         qos.mbrDl = qos.gbrDl;
         qos.mbrUl = 0;
 
-        enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+        EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
         EpsBearer bearer(q, qos);
         lteHelper->ActivateDedicatedEpsBearer(ueDevice, bearer, EpcTft::Default());
     }
@@ -704,7 +704,7 @@
         qos.mbrDl = qos.gbrDl;
         qos.mbrUl = 0;
 
-        enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+        EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
         EpsBearer bearer(q, qos);
         lteHelper->ActivateDedicatedEpsBearer(ueDevice, bearer, EpcTft::Default());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-frequency-reuse.cc ns-3.39/src/lte/test/lte-test-frequency-reuse.cc
--- ns-3.38/src/lte/test/lte-test-frequency-reuse.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-frequency-reuse.cc	2023-07-05 14:23:48.021428000 -0700
@@ -487,7 +487,7 @@
         NS_LOG_DEBUG("RB " << i << " POWER: "
                            << " " << power << " isAvailable: " << m_availableDlRb[i]);
 
-        if (m_availableDlRb[i] == false && power > 0)
+        if (!m_availableDlRb[i] && power > 0)
         {
             m_usedMutedDlRbg = true;
         }
@@ -507,7 +507,7 @@
         NS_LOG_DEBUG("RB " << i << " POWER: "
                            << " " << power << " isAvailable: " << m_availableUlRb[i]);
 
-        if (m_availableUlRb[i] == false && power > 0)
+        if (!m_availableUlRb[i] && power > 0)
         {
             m_usedMutedUlRbg = true;
         }
@@ -598,7 +598,7 @@
     qos.gbrUl = 1e4;
     qos.gbrDl = 1e4;
 
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q, qos);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -736,7 +736,7 @@
     qos.gbrUl = 1e4;
     qos.gbrDl = 1e4;
 
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q, qos);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -832,11 +832,11 @@
                            << " " << power << " Available: " << m_expectedDlRb[i]
                            << " Expected Power: " << m_expectedDlPower);
 
-        if (m_expectedDlRb[i] == false && power > 0)
+        if (!m_expectedDlRb[i] && power > 0)
         {
             m_usedWrongDlRbg = true;
         }
-        else if (m_expectedDlRb[i] == true && power > 0)
+        else if (m_expectedDlRb[i] && power > 0)
         {
             NS_TEST_ASSERT_MSG_EQ_TOL(power,
                                       m_expectedDlPower,
@@ -869,7 +869,7 @@
     {
         // Count the RB as active if it is part of
         // the expected UL RBs and has Power Spectral Density (PSD) > 0
-        if (m_expectedUlRb[numActiveRbs] == true && (*it) > 0)
+        if (m_expectedUlRb[numActiveRbs] && (*it) > 0)
         {
             numActiveRbs++;
         }
@@ -883,11 +883,11 @@
         double power = (*it) * (numActiveRbs * 180000);
         NS_LOG_DEBUG("RB " << i << " POWER: " << power
                            << " expectedUlPower: " << m_expectedUlPower);
-        if (m_expectedUlRb[i] == false && power > 0)
+        if (!m_expectedUlRb[i] && power > 0)
         {
             m_usedWrongUlRbg = true;
         }
-        else if (m_expectedUlRb[i] == true && power > 0)
+        else if (m_expectedUlRb[i] && power > 0)
         {
             NS_TEST_ASSERT_MSG_EQ_TOL(power,
                                       m_expectedUlPower,
@@ -1066,7 +1066,7 @@
     qos.gbrUl = 1e4;
     qos.gbrDl = 1e4;
 
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q, qos);
 
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
@@ -1283,7 +1283,7 @@
     qos.gbrUl = 1e4;
     qos.gbrDl = 1e4;
 
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q, qos);
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
     lteHelper->ActivateDataRadioBearer(ueDevs2, bearer);
@@ -1512,7 +1512,7 @@
     qos.gbrUl = 1e4;
     qos.gbrDl = 1e4;
 
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q, qos);
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
     lteHelper->ActivateDataRadioBearer(ueDevs2, bearer);
@@ -1783,7 +1783,7 @@
     qos.gbrUl = 1e4;
     qos.gbrDl = 1e4;
 
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q, qos);
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
     lteHelper->ActivateDataRadioBearer(ueDevs2, bearer);
@@ -2159,7 +2159,7 @@
             qos.gbrUl = 1e4;
             qos.gbrDl = 1e4;
 
-            enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+            EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
             EpsBearer bearer(q, qos);
             lteHelper->ActivateDedicatedEpsBearer(ueLteDevs.Get(u), bearer, tft);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-harq.cc ns-3.39/src/lte/test/lte-test-harq.cc
--- ns-3.38/src/lte/test/lte-test-harq.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-harq.cc	2023-07-05 14:23:48.021428000 -0700
@@ -209,7 +209,7 @@
     lena->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lena->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-interference.cc ns-3.39/src/lte/test/lte-test-interference.cc
--- ns-3.38/src/lte/test/lte-test-interference.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-interference.cc	2023-07-05 14:23:48.021428000 -0700
@@ -278,7 +278,7 @@
     lteHelper->Attach(ueDevs2, enbDevs.Get(1));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
     lteHelper->ActivateDataRadioBearer(ueDevs2, bearer);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-interference-fr.cc ns-3.39/src/lte/test/lte-test-interference-fr.cc
--- ns-3.38/src/lte/test/lte-test-interference-fr.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-interference-fr.cc	2023-07-05 14:23:48.021428000 -0700
@@ -217,7 +217,7 @@
     lteHelper->Attach(ueDevs2, enbDevs.Get(1));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
     lteHelper->ActivateDataRadioBearer(ueDevs2, bearer);
@@ -404,7 +404,7 @@
     lteHelper->Attach(ueDevs2, enbDevs.Get(1));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
     lteHelper->ActivateDataRadioBearer(ueDevs2, bearer);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-ipv6-routing.cc ns-3.39/src/lte/test/lte-test-ipv6-routing.cc
--- ns-3.38/src/lte/test/lte-test-ipv6-routing.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-ipv6-routing.cc	2023-07-05 14:23:48.021428000 -0700
@@ -181,7 +181,7 @@
             Ptr<Packet> p2 = (*it2)->Copy();
             Ipv6Header ipv6header2;
             p2->RemoveHeader(ipv6header2);
-            Ipv6Address sorceAddress = ipv6header2.GetSource();
+            Ipv6Address sourceAddress = ipv6header2.GetSource();
             Ipv6Address destinationAddress = ipv6header2.GetDestination();
             UdpHeader udpHeader2;
             p2->RemoveHeader(udpHeader2);
@@ -190,7 +190,7 @@
             sourcePort = udpHeader2.GetSourcePort();
             destinationPort = udpHeader2.GetDestinationPort();
             // Check whether the uids, addresses and ports match
-            if ((p2->GetUid() == p1->GetUid()) && sorceAddress == ipv6header1.GetDestination() &&
+            if ((p2->GetUid() == p1->GetUid()) && sourceAddress == ipv6header1.GetDestination() &&
                 destinationAddress == ipv6header1.GetSource() &&
                 sourcePort == udpHeader1.GetDestinationPort() &&
                 destinationPort == udpHeader1.GetSourcePort())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-link-adaptation.cc ns-3.39/src/lte/test/lte-test-link-adaptation.cc
--- ns-3.38/src/lte/test/lte-test-link-adaptation.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-link-adaptation.cc	2023-07-05 14:23:48.021428000 -0700
@@ -189,7 +189,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate the default EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
+    EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-mimo.cc ns-3.39/src/lte/test/lte-test-mimo.cc
--- ns-3.38/src/lte/test/lte-test-mimo.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-mimo.cc	2023-07-05 14:23:48.021428000 -0700
@@ -183,7 +183,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-pathloss-model.cc ns-3.39/src/lte/test/lte-test-pathloss-model.cc
--- ns-3.38/src/lte/test/lte-test-pathloss-model.cc	2023-03-16 20:54:23.780869000 -0700
+++ ns-3.39/src/lte/test/lte-test-pathloss-model.cc	2023-07-05 14:23:48.021428000 -0700
@@ -238,7 +238,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-pf-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-pf-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -297,7 +297,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -476,7 +476,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-phy-error-model.cc ns-3.39/src/lte/test/lte-test-phy-error-model.cc
--- ns-3.38/src/lte/test/lte-test-phy-error-model.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-phy-error-model.cc	2023-07-05 14:23:48.021428000 -0700
@@ -205,7 +205,7 @@
     lena->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lena->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -366,7 +366,7 @@
     lena->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lena->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-pss-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-pss-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -429,7 +429,7 @@
         qos.mbrDl = 0;
         qos.mbrUl = 0;
 
-        enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+        EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
         EpsBearer bearer(q, qos);
         lteHelper->ActivateDedicatedEpsBearer(ueDevice, bearer, EpcTft::Default());
     }
@@ -692,7 +692,7 @@
         qos.mbrDl = qos.gbrDl;
         qos.mbrUl = qos.gbrUl;
 
-        enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+        EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
         EpsBearer bearer(q, qos);
         lteHelper->ActivateDedicatedEpsBearer(ueDevice, bearer, EpcTft::Default());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-radio-link-failure.h ns-3.39/src/lte/test/lte-test-radio-link-failure.h
--- ns-3.38/src/lte/test/lte-test-radio-link-failure.h	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-radio-link-failure.h	2023-07-05 14:23:48.021428000 -0700
@@ -21,6 +21,7 @@
 #define LTE_TEST_RADIO_LINK_FAILURE_H
 
 #include <ns3/lte-ue-rrc.h>
+#include <ns3/mobility-model.h>
 #include <ns3/net-device-container.h>
 #include <ns3/node-container.h>
 #include <ns3/nstime.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-rr-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-rr-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -266,7 +266,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -283,7 +283,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -467,7 +467,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -259,7 +259,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -432,7 +432,7 @@
         qos.mbrDl = qos.gbrDl;
         qos.mbrUl = 0;
 
-        enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+        EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
         EpsBearer bearer(q, qos);
         lteHelper->ActivateDedicatedEpsBearer(ueDevice, bearer, EpcTft::Default());
     }
@@ -702,7 +702,7 @@
         qos.mbrDl = qos.gbrDl;
         qos.mbrUl = 0;
 
-        enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+        EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
         EpsBearer bearer(q, qos);
         lteHelper->ActivateDedicatedEpsBearer(ueDevice, bearer, EpcTft::Default());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-tta-ff-mac-scheduler.cc ns-3.39/src/lte/test/lte-test-tta-ff-mac-scheduler.cc
--- ns-3.38/src/lte/test/lte-test-tta-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-tta-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
@@ -259,7 +259,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-ue-measurements.cc ns-3.39/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.38/src/lte/test/lte-test-ue-measurements.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-ue-measurements.cc	2023-07-05 14:23:48.021428000 -0700
@@ -324,7 +324,7 @@
     lteHelper->Attach(ueDevs2, enbDevs.Get(1));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs1, bearer);
     lteHelper->ActivateDataRadioBearer(ueDevs2, bearer);
@@ -794,7 +794,7 @@
     lteHelper->Attach(ueDevs.Get(0), enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -1502,7 +1502,7 @@
     lteHelper->Attach(ueDevs.Get(0), enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -1826,7 +1826,7 @@
     lteHelper->Attach(ueDevs.Get(0), enbDevs.Get(0));
 
     // Activate an EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/lte-test-uplink-power-control.cc ns-3.39/src/lte/test/lte-test-uplink-power-control.cc
--- ns-3.38/src/lte/test/lte-test-uplink-power-control.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/lte-test-uplink-power-control.cc	2023-07-05 14:23:48.021428000 -0700
@@ -279,7 +279,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate a data radio bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -462,7 +462,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate a data radio bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
@@ -626,7 +626,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate a data radio bearer
-    enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+    EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/test-lte-antenna.cc ns-3.39/src/lte/test/test-lte-antenna.cc
--- ns-3.38/src/lte/test/test-lte-antenna.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/test-lte-antenna.cc	2023-07-05 14:23:48.025428000 -0700
@@ -174,7 +174,7 @@
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
 
     // Activate the default EPS bearer
-    enum EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
+    EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
     EpsBearer bearer(q);
     lteHelper->ActivateDataRadioBearer(ueDevs, bearer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/test-lte-handover-delay.cc ns-3.39/src/lte/test/test-lte-handover-delay.cc
--- ns-3.38/src/lte/test/test-lte-handover-delay.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/test-lte-handover-delay.cc	2023-07-05 14:23:48.029428000 -0700
@@ -20,6 +20,7 @@
 
 #include <ns3/boolean.h>
 #include <ns3/callback.h>
+#include <ns3/cc-helper.h>
 #include <ns3/config.h>
 #include <ns3/data-rate.h>
 #include <ns3/internet-stack-helper.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/test-lte-handover-failure.cc ns-3.39/src/lte/test/test-lte-handover-failure.cc
--- ns-3.38/src/lte/test/test-lte-handover-failure.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/test-lte-handover-failure.cc	2023-07-05 14:23:48.029428000 -0700
@@ -110,7 +110,7 @@
           m_handoverJoiningTimeout(handoverJoiningTimeout),
           m_handoverLeavingTimeout(handoverLeavingTimeout),
           m_targeteNodeBPosition(targeteNodeBPosition),
-          m_hasHandoverFailureOccured(false)
+          m_hasHandoverFailureOccurred(false)
     {
     }
 
@@ -198,8 +198,8 @@
     uint8_t m_raResponseWindowSize; ///< window length for reception of RAR
     Time m_handoverJoiningTimeout;  ///< handover joining timeout duration at target eNodeB
     Time m_handoverLeavingTimeout;  ///< handover leaving timeout duration at source eNodeB
-    uint16_t m_targeteNodeBPosition;  ///< position of the target eNodeB
-    bool m_hasHandoverFailureOccured; ///< has handover failure occurred in simulation
+    uint16_t m_targeteNodeBPosition;   ///< position of the target eNodeB
+    bool m_hasHandoverFailureOccurred; ///< has handover failure occurred in simulation
 
 }; // end of class LteHandoverFailureTestCase
 
@@ -321,7 +321,7 @@
                                                    uint16_t targetCellId)
 {
     NS_LOG_FUNCTION(this << context << imsi << rnti << targetCellId);
-    m_hasHandoverFailureOccured = true;
+    m_hasHandoverFailureOccurred = true;
 }
 
 void
@@ -331,7 +331,7 @@
                                                       uint16_t targetCellId)
 {
     NS_LOG_FUNCTION(this << context << imsi << rnti << targetCellId);
-    m_hasHandoverFailureOccured = true;
+    m_hasHandoverFailureOccurred = true;
 }
 
 void
@@ -341,7 +341,7 @@
                                                    uint16_t targetCellId)
 {
     NS_LOG_FUNCTION(this << context << imsi << rnti << targetCellId);
-    m_hasHandoverFailureOccured = true;
+    m_hasHandoverFailureOccurred = true;
 }
 
 void
@@ -351,14 +351,14 @@
                                                    uint16_t targetCellId)
 {
     NS_LOG_FUNCTION(this << context << imsi << rnti << targetCellId);
-    m_hasHandoverFailureOccured = true;
+    m_hasHandoverFailureOccurred = true;
 }
 
 void
 LteHandoverFailureTestCase::DoTeardown()
 {
     NS_LOG_FUNCTION(this);
-    NS_TEST_ASSERT_MSG_EQ(m_hasHandoverFailureOccured, true, "Handover failure did not occur");
+    NS_TEST_ASSERT_MSG_EQ(m_hasHandoverFailureOccurred, true, "Handover failure did not occur");
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/test-lte-rrc.cc ns-3.39/src/lte/test/test-lte-rrc.cc
--- ns-3.38/src/lte/test/test-lte-rrc.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/test-lte-rrc.cc	2023-07-05 14:23:48.029428000 -0700
@@ -389,7 +389,7 @@
 
     for (uint32_t b = 0; b < m_nBearers; ++b)
     {
-        enum EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
+        EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
         EpsBearer bearer(q);
         m_lteHelper->ActivateDataRadioBearer(ueDevice, bearer);
     }
@@ -784,13 +784,10 @@
 
     for (uint32_t useIdealRrc = 0; useIdealRrc <= 1; ++useIdealRrc)
     {
-        //         <----- all times in ms ----------------->
+        // <----- all times in ms ----------------->
 
-        //                                                     nUes      tConnBase delayDiscStart
-        //                                                     useIdealRrc
-        //                                                        nBearers       tConnIncrPerUe
-        //                                                        errorExpected
-        //                                                        admitRrcConnectionRequest
+        // nUes tConnBase delayDiscStart useIdealRrc nBearers tConnIncrPerUe errorExpected
+        // admitRrcConnectionRequest
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 0, 0, 0, 1, false, useIdealRrc, true),
             TestCase::EXTENSIVE);
